aboutsummaryrefslogtreecommitdiffstats
path: root/main/yajl/APKBUILD
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2012-01-25 13:19:32 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2012-01-25 13:19:32 +0000
commit51551bb3763497122f88db3c996946c0d96ac62e (patch)
tree02b0a51dae8753f59390f2e25f97006bb9537c5d /main/yajl/APKBUILD
parent6308aa0eef0e7cfec8c5fe4e5b10d2b5c924d0fe (diff)
downloadaports-51551bb3763497122f88db3c996946c0d96ac62e.tar.gz
aports-51551bb3763497122f88db3c996946c0d96ac62e.tar.bz2
aports-51551bb3763497122f88db3c996946c0d96ac62e.tar.xz
main/yajl: moved frrom testing
Diffstat (limited to 'main/yajl/APKBUILD')
-rw-r--r--main/yajl/APKBUILD56
1 files changed, 56 insertions, 0 deletions
diff --git a/main/yajl/APKBUILD b/main/yajl/APKBUILD
new file mode 100644
index 0000000000..7a0d6e8ac6
--- /dev/null
+++ b/main/yajl/APKBUILD
@@ -0,0 +1,56 @@
+# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
+pkgname=yajl
+pkgver=2.0.3
+pkgrel=0
+pkgdesc="Yet Another JSON Library (YAJL)"
+url="http://lloyd.github.com/yajl/"
+arch="all"
+license="BSD"
+depends=""
+makedepends="cmake"
+install=""
+subpackages="$pkgname-dev $pkgname-tools"
+
+# How to create archive from git. pkgver needs to be a git tag.
+#
+# git clone https://github.com/lloyd/yajl.git
+# cd yajl
+# git archive --format tar.gz --prefix yajl-$pkgver/ -o yajl-$pkgver.tar.gz $pkgver
+# scp yajl-$pkgver.tar.gz dev.alpinelinux.org:/archive/yajl/
+
+source="http://dev.alpinelinux.org/archive/yajl/yajl-$pkgver.tar.gz
+ libm.patch"
+
+_builddir="$srcdir"/yajl-$pkgver
+
+prepare() {
+ local i
+ cd "$_builddir"
+ for i in $source; do
+ case $i in
+ *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+ esac
+ done
+}
+
+build() {
+ cd "$_builddir"
+ cmake -DCMAKE_INSTALL_PREFIX="/usr" . || return 1
+ make
+}
+
+package() {
+ cd "$_builddir"
+ make install DESTDIR="$pkgdir" || return 1
+ mv "$pkgdir"/usr/share/pkgconfig "$pkgdir"/usr/lib/
+}
+
+tools() {
+ pkgdesc="JSON tools based on Yajl"
+ mkdir -p "$subpkgdir"/usr/
+ mv "$pkgdir"/usr/bin "$subpkgdir"/usr/
+}
+
+
+md5sums="f5d31df70eb7cc522a5fa2fe06336022 yajl-2.0.3.tar.gz
+64ae0008a567c3246ce805b6495d4c54 libm.patch"